-- 战技 灵符养成 Window
checkRequire("Lua_HeroCharmDevelopSkillPanel");
checkRequire("Lua_HeroCharmDevelopPanel");
Lua_HeroCharmDevelopWindow = class("Lua_HeroCharmDevelopWindow", Lua_Window);

function Lua_HeroCharmDevelopWindow:ctor()
	self:superCall("ctor");

	self.showBlackMask = true;
    self.isClickClose = true;

	self.windowName = "Lua_HeroCharmDevelopWindow";
	self.skinName = "HeroCharmDevelopWindow_skin";
end

function Lua_HeroCharmDevelopWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.panelDic = {};

	local tabInfoArr = Array();
    tabInfoArr:add({textStr = "战技", panel = Lua_HeroCharmDevelopSkillPanel});
    tabInfoArr:add({textStr = "强化", panel = Lua_HeroCharmDevelopPanel});

    self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
    self.btnList:setLocation(-170, -545, 0);
    self.btnList:setButtonItem(133, 77);
    self.btnList:setButtonStyle("common_altas_1","xui_common_tab_002","xui_common_tab_001",133, 77);
    self.btnList:setButtonText(0, 10,"7a6a5f", "8f5123");
    self.btnList:setClickCallBack(self, self.onBtnClick);
    self.btnList:setData(tabInfoArr);

    self.tipBtn:addClickFuntion(self, self.onTipBtnClick);
end

function Lua_HeroCharmDevelopWindow:dispose()
	if self.panelDic ~= nil then
		for k, v in pairs(self.panelDic) do
			v:dispose();
			v = nil;
		end
		self.panelDic = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroCharmDevelopWindow:showWin(param)
	self.charmUid = param.charmUid;

	local index = param.index;
	if index == nil then
		index = 1;
	end
	self.btnList:setSelected(index);
end

function Lua_HeroCharmDevelopWindow:onBtnClick(index, data)
	self.index = index;
	if self.curPanel ~= nil then
		self.curPanel:setEnable(false);
	end

    self.curPanel = self.panelDic[index];
    if self.curPanel == nil then
        local showPanel = data.panel;
        self.curPanel = showPanel.new(self.content);
        self.panelDic[index] = self.curPanel;
    else
        self.curPanel:setEnable(true);
    end
    self.curPanel:setData(self.charmUid);
end

function Lua_HeroCharmDevelopWindow:onTipBtnClick() 
    local tipsData = { des = "帮助说明", posX = -55, posY = -445 };
    Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end