-- 战技 属性 item
Lua_HeroCharmAttrItem = class("Lua_HeroCharmAttrItem", Lua_DisplayObject);

function Lua_HeroCharmAttrItem:ctor(p)
	self:superCall("ctor", p, "HeroCharmAttrItem_skin");
end

function Lua_HeroCharmAttrItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroCharmAttrItem:dispose()
	self:superCall("dispose")
end

function Lua_HeroCharmAttrItem:setData(vo, showType, level, limtLv)
	level = level or 0;
	limtLv = limtLv or 0;
	
	if showType == 1 then
		if level >= limtLv then
			self.iconSp:setAltas("common_altas_2", vo.hero_attr_icon);
			self.attrTxt.text = LanUtil.formateStr("<color=#FFFFFF>{1}: {2}</color>", vo.show_name, vo.showValue);
		else
			self.iconSp:setAltas("common_altas_3", "xui_common_label_23");
			self.attrTxt.text = LanUtil.formateStr("<color=#FFFFFF>强化{1}级解锁</color>", limtLv);
		end
	elseif showType == 2 then
		if level >= limtLv then
			self.iconSp:setAltas("common_altas_2", vo.hero_attr_icon);
			self.attrTxt.text = LanUtil.formateStr("<color=#FFFFFF>{1}: {2}</color>", vo.show_name, vo.showNextValue);
		else
			self.iconSp:setAltas("common_altas_3", "xui_common_label_23");
			self.attrTxt.text = LanUtil.formateStr("<color=#FFFFFF>强化{1}级解锁</color>", limtLv);
		end
	else
		self.iconSp:setAltas("common_altas_2", vo.hero_attr_icon);
		self.attrTxt.text = LanUtil.formateStr("<color=#FFFFFF>{1}: {2}</color>", vo.show_name, vo.showValue);
	end
end